Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class GeneralizedHebbianLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.core.learning.IterativeLearning
              org.neuroph.core.learning.UnsupervisedLearning
                  org.neuroph.nnet.learning.UnsupervisedHebbianLearning
                      org.neuroph.nnet.learning.GeneralizedHebbianLearning

All Implemented Interfaces:
  Serializable

    public class GeneralizedHebbianLearning

extends UnsupervisedHebbianLearning

A variant of Hebbian learning called Generalized Hebbian learning. Weight change is calculated using formula deltaWeight = (input - netInput) * output * learningRate

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`GeneralizedHebbianLearning()`

Method Summary
`protected void` | `updateNeuronWeights(Neuron neuron)` This method implements weights update procedure for the single neuron

Methods inherited from class org.neuroph.nnet.learning.UnsupervisedHebbianLearning
`doLearningEpoch, updateNetworkWeights`

Methods inherited from class org.neuroph.core.learning.UnsupervisedLearning
`learnPattern`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`afterEpoch, beforeEpoch, doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, onStart, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, removeListener, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralizedHebbianLearning

    public GeneralizedHebbianLearning()

Method Detail

### updateNeuronWeights

    protected void updateNeuronWeights(Neuron neuron)

  This method implements weights update procedure for the single neuron

  Overrides:
    `updateNeuronWeights` in class `UnsupervisedHebbianLearning`
  Parameters:
    `neuron` - neuron to update weights

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.